[arch-commits] Commit in kbproto/trunk (PKGBUILD)

Eric Bélanger eric at archlinux.org
Thu Apr 9 17:41:20 EDT 2009


    Date: Thursday, April 9, 2009 @ 17:41:20
  Author: eric
Revision: 34514

upgpkg: kbproto 1.0.3-2
    Added license

Modified:
  kbproto/trunk/PKGBUILD

----------+
 PKGBUILD |    8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-04-09 21:32:12 UTC (rev 34513)
+++ PKGBUILD	2009-04-09 21:41:20 UTC (rev 34514)
@@ -3,16 +3,18 @@
 
 pkgname=kbproto
 pkgver=1.0.3
-pkgrel=1
+pkgrel=2
 pkgdesc="X11 XKB extension wire protocol"
 arch=(i686 x86_64)
 url="http://xorg.freedesktop.org/"
+license=('custom')
 source=(${url}/releases/individual/proto/${pkgname}-${pkgver}.tar.bz2)
 md5sums=('6092cdb0a1225f95356ddbe6c2abaad5')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
+  cd ${srcdir}/${pkgname}-${pkgver}
   ./configure --prefix=/usr
   make || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
+  make DESTDIR=${pkgdir} install || return 1
+  install -D -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE
 }



More information about the arch-commits mailing list